package com.mortals.xhx.module.site.service;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.site.model.SiteEntity;
import com.mortals.xhx.module.site.model.SiteThemeMatterEntity;
/**
* SiteThemeMatterService
*
* 站点主题事项 service接口
*
* @author zxfei
* @date 2022-11-23
*/
public interface SiteThemeMatterService extends ICRUDService<SiteThemeMatterEntity,Long>{

    Rest<String> syncThemeMatterBySiteId(Long siteId,String userType, Context context);

    Rest<String> syncTownThemeMatterBySiteId(SiteEntity siteEntity,String dxType, Context context);

    void deleteGovBySiteId(Long siteId, Context context);
}