package com.mortals.xhx.module.matter.service;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.matter.model.MatterDatumEntity;

import java.util.List;

/**
* MatterDatumService
*
* 事项申请材料 service接口
*
* @author zxfei
* @date 2022-01-12
*/
public interface MatterDatumService extends ICRUDService<MatterDatumEntity,Long>{

    /**
     * 添加材料到公共库
     *
     * @param datumIds
     * @param siteId
     * @param context
     */
    Rest<String> addToLibrary(String datumIds, Long siteId, Context context);

    /***
     * 统计事项材料数
     * @return
     */
    List<MatterDatumEntity> getMatterDatumCount();
}